Page MenuHomePhabricator

T4. Deleting board does not delete the topics or make them inaccessible
Closed, ResolvedPublic3 Story Points

Description

Deleting a board does not delete the topics within, nor make them inaccessible.

Event Timeline

Mattflaschen-WMF raised the priority of this task from to High.
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF set Security to None.
Mattflaschen-WMF renamed this task from Deleting board does not delete the topics to Deleting board does not delete the topics or make them inaccessible.Feb 26 2015, 11:23 PM
DannyH edited a custom field.Mar 2 2015, 7:24 PM
matthiasmullie added a subscriber: matthiasmullie.EditedMar 25 2015, 6:18 PM

Note that this should also be reflected in Contributions pages: Flow revisions (topics, posts, headers, ...) in deleted boards should show up in Special:DeletedContributions, not Special:Contributions

DannyH renamed this task from Deleting board does not delete the topics or make them inaccessible to T4. Deleting board does not delete the topics or make them inaccessible.Mar 25 2015, 7:33 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 30 2015, 1:58 PM

Change 200854 had a related patch set uploaded (by Matthias Mullie):
Disallow revisions in deleted boards

https://gerrit.wikimedia.org/r/200854

Change 200854 merged by jenkins-bot:
Disallow revisions in deleted boards

https://gerrit.wikimedia.org/r/200854

DannyH closed this task as Resolved.Apr 9 2015, 12:57 AM

Works on Beta

Change 209248 had a related patch set uploaded (by Mattflaschen):
Also require deletedtext to view deleted workflows

https://gerrit.wikimedia.org/r/209248

Change 209248 merged by jenkins-bot:
Also require deletedtext to view deleted workflows

https://gerrit.wikimedia.org/r/209248